Snap package for Raspian (armel)

I’m trying to install nextcloud from Snap but it’s complaining that "nextcloud" is not available on 16/candidate for this architecture (armel) but exists on other architectures (amd64, arm64, armhf, i386, ppc64el). I’ve tried manually installing but I can’t config the mariadb properly so I’m coming here just to check I actually need bother with all the faff. Here’s a neofetch:

  `.::///+:/-.        --///+//-:``    pi@raspberrypi
 `+oooooooooooo:   `+oooooooooooo:    --------------
  /oooo++//ooooo:  ooooo+//+ooooo.    OS: Raspbian GNU/Linux 10 (buster) armv6l
  `+ooooooo:-:oo-  +o+::/ooooooo:     Host: Raspberry Pi Model B Rev 2
   `:oooooooo+``    `.oooooooo+-      Kernel: 4.19.57+
     `:++ooo/.        :+ooo+/.`       Uptime: 10 mins
        ...`  `.----.` ``..           Packages: 569 (dpkg)
     .::::-``:::::::::.`-:::-`        Shell: bash 5.0.3
    -:::-`   .:::::::-`  `-:::-       Terminal: /dev/pts/0
   `::.  `.--.`  `` `.---.``.::`      CPU: BCM2835 (1) @ 700MHz
       .::::::::`  -::::::::` `       Memory: 101MiB / 432MiB
 .::` .:::::::::- `::::::::::``::.
-:::` ::::::::::.  ::::::::::.`:::-
::::  -::::::::.   `-::::::::  ::::
-::-   .-:::-.``....``.-::-.   -::-
 .. ``       .::::::::.     `..`..
   -:::-`   -::::::::::`  .:::::`
   :::::::` -::::::::::` :::::::.
   .:::::::  -::::::::. ::::::::
    `-:::::`   ..--.`   ::::::.
      `...`  `...--..`  `...`
            .::::::::::
             `.-::::-`